Module
Contents
Index 🔎︎

# GlobalScope

Zdrojový kód a dialógové okná jazyka Basic sú usporiadané v systéme knižníc.

- The LibraryContainer obsahuje knižnice

- Knižnice môžu obsahovať moduly a dialógy

## V jazyku Basic:

- LibraryContainer sa nazýva BasicLibraries.

## V dialógoch:

- LibraryContainer sa nazýva DialogLibraries.

LibraryContainer existuje na úrovni aplikácie i v každom dokumente.V dokumente sa LibraryContainer volá automaticky. Ak chcete použiť globálny LibraryContainer z vnútra dokumentu,musíte použiť kľúčové slovo GlobalScope.

## Syntax:

    GlobalScope

## Príklad:

Príklad v dokumente Basic

    volanie Dialog1 v knižnici dokumentu Standard

    oDlgDesc = DialogLibraries.Standard.Dialog1

    volanie Dialog2 v aplikačnej knižnici Library1

    oDlgDesc = GlobalScope.DialogLibraries.Library1.Dialog2